aboutsummaryrefslogtreecommitdiffstats
path: root/main/ssmtp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-10 09:33:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-10 09:33:07 +0000
commit25ced1665ab164cc46466da5a7e326e5e8c70197 (patch)
tree534a908e47ff50bd675e6c6978cca96d845861e0 /main/ssmtp/APKBUILD
parent9e8f75eac44936e73b0f382ec189efc470aa7981 (diff)
downloadaports-25ced1665ab164cc46466da5a7e326e5e8c70197.tar.gz
aports-25ced1665ab164cc46466da5a7e326e5e8c70197.tar.bz2
aports-25ced1665ab164cc46466da5a7e326e5e8c70197.tar.xz
main/ssmtp: upgrade to 2.63
Diffstat (limited to 'main/ssmtp/APKBUILD')
-rw-r--r--main/ssmtp/APKBUILD37
1 files changed, 22 insertions, 15 deletions
diff --git a/main/ssmtp/APKBUILD b/main/ssmtp/APKBUILD
index 2f63b689f9..d08022525f 100644
--- a/main/ssmtp/APKBUILD
+++ b/main/ssmtp/APKBUILD
@@ -1,32 +1,39 @@
-#Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Natananael Copa <ncopa@alpinelinux.org>
+
pkgname=ssmtp
-pkgver=2.62
+pkgver=2.63
pkgrel=0
pkgdesc="Extremely simple MTA to get mail off the system to a mail hub"
subpackages="$pkgname-doc"
arch=""
url="http://packages.debian.org/source/lenny/ssmtp"
license="GPL-2"
-depends="uclibc"
+depends=
makedepends="openssl-dev"
install=
source="http://ftp.debian.org/debian/pool/main/s/$pkgname/${pkgname}_${pkgver}.orig.tar.gz
- CVE-2008-3962.patch
- generate_config.patch"
+ generate_config.patch
+ "
build() {
- cd "$srcdir/$pkgname"
- patch generate_config ../../generate_config.patch
+ cd "$srcdir"/$pkgname-$pkgver
+ patch generate_config ../generate_config.patch || return 1
sed -i -e 's:$(CC) -o:$(CC) @LDFLAGS@ -o:' Makefile.in
- patch -p1 ssmtp.c ../../CVE-2008-3962.patch
./configure --prefix=/usr \
- --mandir=/usr/share/man \
- --sysconfdir=/etc \
- --enable-ssl
- make || return 1
- make prefix="$pkgdir"/usr etcdir="$pkgdir"/etc mandir="$pkgdir"/usr/share/man install
+ --mandir=/usr/share/man \
+ --sysconfdir=/etc \
+ --enable-ssl
+ make
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make prefix="$pkgdir"/usr \
+ etcdir="$pkgdir"/etc \
+ mandir="$pkgdir"/usr/share/man \
+ install
}
-md5sums="257ac04e62ab7e3616e220333a1140cb ssmtp_2.62.orig.tar.gz
-18f0686f1b8888d187f06dcff3b6212a CVE-2008-3962.patch
+md5sums="8f3686f492374f4c5d7be4ea52ee2f7a ssmtp_2.63.orig.tar.gz
c70c395fe71589ca8b10b666455d5071 generate_config.patch"